<?php

declare(strict_types=1);

namespace App\Models\Pouzivatel;

/**
 * Trait RolesPermissionsTrait
 *
 * @package App\Models\Pouzivatel
 */
trait RolesPermissionsTrait
{
    /**
     * @param array $aisekRole
     *
     * @return array
     */
    public static function vratOpravnenia(): array
    {
        return array_merge(self::ROLE_OP);
    }

    /**
     * @param array $aisekRole
     *
     * @return array
     */
    public static function vratRole(): array
    {
        return array_merge(self::ROLE_ROLE);
    }
}
